const knex = require("knex");

const config = require("../config.json");

const DB = knex(config.database);

module.exports = DB;

process.nextTick(async ()=>{
    try{
        await DB.migrate.latest();
        console.log("✅ Veritabanı tabloları kontrol edildi");
    }catch(err){
        console.error("❌ Migration hatası:", err);
    }
})
